@import url("https://fonts.googleapis.com/css?family=Space+Mono:400,400i,700,700i");

* {
  box-sizing: border-box;
  font-family: "Space Mono", monospace;
}

body,
html {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}

.title {
  margin-bottom: 30px;
  color: #162969;
}

.card {
  width: 320px;
  height: 190px;
  -webkit-perspective: 600px;
  -moz-perspective: 600px;
  perspective: 600px;
}

.card__part {
  box-shadow: 1px 1px #00000075;
  top: 0;
  position: absolute;
  z-index: 1000;
  left: 0;
  display: inline-block;
  width: 320px;
  height: 190px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  border-radius: 8px;
  -webkit-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -moz-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -ms-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -o-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
}

.card__front {
  padding: 18px;
  -webkit-transform: rotateY(0);
  -moz-transform: rotateY(0);
}

.card__back {
  padding: 18px 0;
  -webkit-transform: rotateY(-180deg);
  -moz-transform: rotateY(-180deg);
}

.card__black-line {
  margin-top: 5px;
  height: 38px;
  background-color: #303030;
}

.card__logo {
  height: 25px;
}
.card__logoo {
  height: 36px;
}

.card__logoo-cip {
  height: 32px;
}
.nfs {
  top: 35px;
}

.card__front-logo {
  position: absolute;
  top: 64px;
  right: 18px;
}

.card__front-logoo {
  position: absolute;
  top: 65px;
  left: 25px;
}
.card-front__logo {
  width: 210px;
  top: 10px;
  position: absolute;
  left: 10px;
  height: 25px;
}
.card-front__logo img {
  border-radius: 6px;
}

.card_numer {
  display: block;
  width: 100%;
  word-spacing: 4px;
  font-size: 19px;
  letter-spacing: 2px;
  color: #fff;
  text-align: center;
  margin-bottom: 5px;
  margin-top: 78px;
}

.card__space-75 {
  width: 62%;
  float: left;
}

.card__space-25 {
  width: 25%;
  float: left;
}

.card__label {
  font-size: 10px;
  text-transform: uppercase;
  color: rgba(255, 255, 255, 0.8);
  letter-spacing: 1px;
}

.card__info {
  position: absolute;
  margin-bottom: 0;
  margin-top: 5px;
  font-size: 14px;
  line-height: 18px;
  color: #fff;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.card__back-content {
  padding: 15px 15px 0;
}
.card__secret--last {
  color: #303030;
  text-align: right;
  margin: 0;
  font-size: 14px;
}

.card__secret {
  padding: 5px 12px;
  background-color: #fff;
  position: relative;
}

.card__secret:before {
  content: "";
  position: absolute;
  top: -3px;
  left: -3px;
  height: calc(100% + 6px);
  width: calc(100% - 55px);
  border-radius: 4px;
  background: repeating-linear-gradient(
    45deg,
    #ededed,
    #ededed 5px,
    #ededed 5px,
    #ededed 10px
  );
}

.card__back-logo {
  position: absolute;
  bottom: 15px;
  right: 15px;
}

.card__back-square {
  position: absolute;
  bottom: 15px;
  left: 15px;
}

.card:hover .card__front {
  -webkit-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
}

.card:hover .card__back {
  -webkit-transform: rotateY(0deg);
  -moz-transform: rotateY(0deg);
}

.danate .aaa {
  top: 20%;
  left: 40%;
  width: 180px;
  height: 60px;
  text-align: center;
  line-height: 60px;
  color: #fff;
  font-size: 24px;
  text-transform: uppercase;
  text-decoration: none;
  font-family: sans-serif;
  box-sizing: border-box;
  background: linear-gradient(
    90deg,
    rgb(255, 196, 0),
    orange,
    red,
    violet,
    purple,
    blue,
    yellow
  );
  background-size: 400%;
  border-radius: 30px;
  z-index: 1;
}
.danate .aaa:hover {
  animation: animate 8s linear infinite;
}
@keyframes animate {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 400%;
  }
}
.danate .aaa:before {
  content: "";
  top: -5px;
  left: -5px;
  right: -5px;
  bottom: -5px;
  z-index: -1;
  background: linear-gradient(45deg, #f15523, #ef3224, #7c3697);
  background-size: 400%;
  border-radius: 40px;
  opacity: 0;
  transition: 0.5%;
}
.danate .aaa:hover:before {
  filter: blur(20px);
  opacity: 1;
  animation: animate 8s linear infinite;
}

.danate .aaaa {
  top: 20%;
  left: 50%;
  line-height: 60px;
  width: 180px;
  height: 60px;
  margin: 8px;
  text-align: center;
  color: #fff;
  font-size: 24px;
  text-transform: uppercase;
  text-decoration: none;
  font-family: sans-serif;
  box-sizing: border-box;
  background-image: linear-gradient(
    to top right,
    #122a3d,
    #158beb,
    #2a4291,
    #158beb,
    #2a4291,
    #158beb,
    #122a3d
  );
  background-size: 400%;
  border-radius: 30px;
  z-index: 1;
}
.danate .aaaa:hover {
  animation: animate 8s linear infinite;
}
.card-front__logo svg {
  color: blue;
}
@keyframes animate {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 400%;
  }
}

.danate .aaaa:hover:before {
  filter: blur(20px);
  opacity: 1;
  animation: animate 8s linear infinite;
}

.danate {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 420px;
  height: 150px;
}

.danatee {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 420px;
  height: 30px;
}

#btn {
  width: 275px;
  height: 57px;
  padding: 1px;
  border: none;
  outline: none;
  background: linear-gradient(
    90deg,
    rgb(252, 1, 97),
    rgb(255, 0, 170),
    rgb(0, 255, 157)
  );
  background-size: 400%;
  color: #fff;
  font-size: 15px;
  border-radius: 40px;
  text-align: center;
  box-shadow: 0 6px 20px -5px rgba(0, 0, 0, 0.4);
  position: absolute;
  overflow: hidden;
  cursor: pointer;

  box-sizing: border-box;
  font-family: "Poppins", sans-serif;

  line-height: -50px;
}

.textToBeCopied {
  opacity: 0.00001;
}

button :hover {
  animation: animate 8s linear infinite;
}
.check-box {
  width: 55px;
  height: 55px;
  border-radius: 50%;
  box-shadow: 0 0 12px -2px rgba(0, 0, 0, 0.5);
  position: absolute;
  top: 0;
  opacity: 0;
}

.check-box svg {
  color: green;
  width: 45px;
  margin: 3px;
}

svg path {
  stroke-width: 3;
  stroke: #fff;
  stroke-dasharray: 34;
  stroke-dashoffset: 34;
  stroke-linecap: round;
}

.active .check-box {
  right: 0;
  opacity: 1;
  transition: 1s;
}

.active a {
  margin-right: 26px;
  transition: 1s;
}

.active svg path {
  stroke-dashoffset: 0;
  transition: 1s;
  transition-delay: 1s;
}

.kartas {
  position: relative;
  top: 10px;
  width: 109px;
}

.kartass {
  position: relative;
  top: 9px;
  width: 129px;
}

#particles-js {
  position: absolute;
  height: 100vh;

  background-size: cover;
  background-position: center;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  display: -webkit-flex;
  -webkit-align-items: center;
  -webkit-justify-content: center;
  background-color: #0492ff;
  background-image: linear-gradient(
    to left top,
    #960e33,
    #7a1c46,
    #59274b,
    #3b2a41,
    #7a1c46,
    #59274b,
    #3b2a41,
    #28272d
  );
  flex-direction: column;
  -webkit-flex-direction: column;
}
.card-front__sim {
  position: absolute;
  display: flex;
  gap: 10px;
  width: 50px;
  height: 35px;
  top: 58px;
}

.card-front__sim img {
  width: 100%;
}

.danate .aaaa:before {
  content: "";
  top: -5px;
  left: -5px;
  right: -5px;
  bottom: -5px;
  z-index: -1;
  background-image: linear-gradient(
    to right bottom,
    #579fda,
    #45a1ed,
    #1990f1,
    #307cba,
    #184c77,
    #579fda,
    #184c77
  );
  background-size: 400%;
  border-radius: 40px;
  opacity: 0;
  transition: 0.5%;
}

.active {
  background-image: linear-gradient(
    to top right,
    #122a3d,
    #158beb,
    #2a4291,
    #158beb,
    #2a4291,
    #158beb,
    #122a3d
  );
  transition: 1s;
  font-size: 20px;
}

.card-pay {
  width: 60px;
  position: absolute;
  bottom: 15px;
  right: 15px;
}

.card-pay img {
  width: 100%;
  height: 100%;
}
.list-window {
  position: absolute;
  z-index: 2000;
  background-color: rgba(0, 0, 0, 0.719);
  border-radius: 12px;
  grid-template-columns: 17vw 17vw 17vw 100px;

  grid-template-rows: repeat(3, 1fr);
  padding: 20px;
  gap: 20px;
  align-items: start;
  justify-content: space-around;
  display: none;
}

.last-window .card {
  width: 100%;
}

.close-btn {
  padding: 10px;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  background-image: linear-gradient(
    to top right,
    #122a3d,
    #158beb,
    #2a4291,
    #158beb,
    #2a4291,
    #158beb,
    #122a3d
  );
}

button {
  border: none;
  cursor: pointer;
}

.card-ism {
  display: flex;
  flex-direction: column;
  font-size: 14px;
  line-height: 18px;
  color: #fff;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.card-ism__sroq {
  margin-left: 140px;
}
.card-front__logo {
  width: 140px;
}
.card-front__logo img {
  width: 100%;
}
